View Issue Details

IDProjectCategoryView StatusLast Update
0014440LazarusIDEpublic2009-09-16 20:51
ReporterDenis Golovan Assigned ToMartin Friebe  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0014440: Move cursor to the beginning of line
DescriptionJust an useful idea (I hope).

We have move cursor the beginning of line already :).
But this command does not help much. I think much more useful is moving not to the beginning of line itself, but moving to the start of content in line. Like Alt+m in Emacs.
TagsNo tags attached.
Fixed in Revision21592
LazTarget0.9.30
Widgetset
Attached Files

Activities

Martin Friebe

2009-08-26 19:39

manager   ~0030180

Have you tried "home key jumps to nearest start" from Editor-Options/General?

home key actually always alters between the 2 beginnings. This option changes the preference, so it goes to content first.

Denis Golovan

2009-08-26 21:19

reporter   ~0030184

Well. It works like a charm.
Except I can't bind it to Alt+m :)

Is it possible to create a separate action?

Graeme Geldenhuys

2009-08-27 09:17

reporter   ~0030192

Learn your IDE! ;-)

Environment > Options > Editor > Key Mappings

Then enter "line" in the filter edit box. The option you are looking for should be the first one in the treeview: "Move cursor to line start". It defaults to the HOME key, but you can change it to whatever you want.

Vincent Snijders

2009-08-27 09:24

manager   ~0030193

Graeme, please help me.

How can I let alt-m go to the first word in a line and HOME to the first column of a line?

Denis Golovan

2009-08-27 19:16

reporter   ~0030213

Yes. Vincent, you've got the idea right :)

Martin Friebe

2009-09-06 17:14

manager   ~0030482

Please test and close if ok.

A command has been added to move to the first none white-space in a line, but by default no key-shortcode is assigned.

The "home" command always toggles between "pos1" and "text-start" with a preference as set by the option "home key jumps to nearest start".
With the option "home key jumps to nearest start" and "caret past eol" the home key also does indent on empty lines.

The new command does nothing of the above. It always jumps to the first none withe-space. In empty lines it stays at pos1.

Denis Golovan

2009-09-16 20:51

reporter   ~0030778

Pretty nice improvement.
Thanks a lot.

Issue History

Date Modified Username Field Change
2009-08-26 18:59 Denis Golovan New Issue
2009-08-26 19:38 Martin Friebe Status new => assigned
2009-08-26 19:38 Martin Friebe Assigned To => Martin Friebe
2009-08-26 19:39 Martin Friebe LazTarget => -
2009-08-26 19:39 Martin Friebe Note Added: 0030180
2009-08-26 19:39 Martin Friebe Status assigned => feedback
2009-08-26 21:19 Denis Golovan Note Added: 0030184
2009-08-27 09:17 Graeme Geldenhuys Note Added: 0030192
2009-08-27 09:24 Vincent Snijders Note Added: 0030193
2009-08-27 14:36 Martin Friebe LazTarget - => 1.0
2009-08-27 14:36 Martin Friebe Status feedback => assigned
2009-08-27 14:36 Martin Friebe Target Version => 1.0.0
2009-08-27 19:16 Denis Golovan Note Added: 0030213
2009-09-06 17:14 Martin Friebe Fixed in Revision => 21592
2009-09-06 17:14 Martin Friebe LazTarget 1.0 => 0.9.30
2009-09-06 17:14 Martin Friebe Status assigned => resolved
2009-09-06 17:14 Martin Friebe Fixed in Version => 0.9.29 (SVN)
2009-09-06 17:14 Martin Friebe Resolution open => fixed
2009-09-06 17:14 Martin Friebe Note Added: 0030482
2009-09-06 17:15 Martin Friebe Target Version 1.0.0 => 0.9.30
2009-09-16 20:51 Denis Golovan Status resolved => closed
2009-09-16 20:51 Denis Golovan Note Added: 0030778